Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 08 Apr 2022 18:13:06 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I made an order more than 20 days ago of 2 items!  You delivered one and canceled the other although it is still offered offered!  First, I was not told that you canceled it, second, I was told the refund will be made within 14 days!  Up to now i have not been refunded!

I am requesting immediate refund, as I no longer want to deal with your horrible online service! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4140577